VSTGUI: ViewContainerListenerAdapter Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | List of all members
ViewContainerListenerAdapter Class Reference

ViewContainer Listener Interface Adapter. More...

`#include <iviewlistener.h>`

Inheritance diagram for ViewContainerListenerAdapter:

## Public Member Functions
void | viewContainerViewAdded (CViewContainer *container, CView *view) override
| called when a new view was added to the container More...
void | viewContainerViewRemoved (CViewContainer *container, CView *view) override
| called when a view was removed from the container More...
void | viewContainerViewZOrderChanged (CViewContainer *container, CView *view) override
| called when a view's z-order changed inside the container More...
void | viewContainerTransformChanged (CViewContainer *container) override
| called when the transform matrix of the container changed More...
Public Member Functions inherited from IViewContainerListener
virtual | ~IViewContainerListener () noexcept=default
virtual void | viewContainerViewAdded (CViewContainer *container, CView *view)=0
| called when a new view was added to the container More...
virtual void | viewContainerViewRemoved (CViewContainer *container, CView *view)=0
| called when a view was removed from the container More...
virtual void | viewContainerViewZOrderChanged (CViewContainer *container, CView *view)=0
| called when a view's z-order changed inside the container More...
virtual void | viewContainerTransformChanged (CViewContainer *container)=0
| called when the transform matrix of the container changed More...

## Detailed Description

ViewContainer Listener Interface Adapter.

## Member Function Documentation

## ◆ viewContainerTransformChanged()

void viewContainerTransformChanged | ( | CViewContainer * | container | ) |
| inlineoverridevirtual

called when the transform matrix of the container changed

Implements IViewContainerListener.

## ◆ viewContainerViewAdded()

void viewContainerViewAdded | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| inlineoverridevirtual

called when a new view was added to the container

Implements IViewContainerListener.

## ◆ viewContainerViewRemoved()

void viewContainerViewRemoved | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| inlineoverridevirtual

called when a view was removed from the container

Implements IViewContainerListener.

## ◆ viewContainerViewZOrderChanged()

void viewContainerViewZOrderChanged | ( | CViewContainer * | container,
|  | CView * | view
| ) |  |
| inlineoverridevirtual

called when a view's z-order changed inside the container

Implements IViewContainerListener.

The documentation for this class was generated from the following file:

- iviewlistener.h